Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.localsearch.decider.acceptor
Class AcceptorConfig

    java.lang.Object
      org.optaplanner.core.config.localsearch.decider.acceptor.AcceptorConfig

    public class AcceptorConfig

extends Object

Nested Class Summary
`static class` | `AcceptorConfig.AcceptorType`

Field Summary
`protected Double` | `entityTabuRatio`
`protected Integer` | `entityTabuSize`
`protected Double` | `fadingEntityTabuRatio`
`protected Integer` | `fadingEntityTabuSize`
`protected Integer` | `fadingMoveTabuSize`
`protected Integer` | `fadingSolutionTabuSize`
`protected Integer` | `fadingUndoMoveTabuSize`
`protected Double` | `fadingValueTabuRatio`
`protected Integer` | `fadingValueTabuSize`
`protected Double` | `greatDelugeWaterLevelUpperBoundRate`
`protected Double` | `greatDelugeWaterRisingRate`
`protected Integer` | `lateAcceptanceSize`
`protected Integer` | `lateSimulatedAnnealingSize`
`protected Integer` | `moveTabuSize`
`protected String` | `simulatedAnnealingStartingTemperature`
`protected Integer` | `solutionTabuSize`
`protected Integer` | `stepCountingHillClimbingSize`
`protected StepCountingHillClimbingType` | `stepCountingHillClimbingType`
`protected Integer` | `undoMoveTabuSize`
`protected Double` | `valueTabuRatio`
`protected Integer` | `valueTabuSize`

Constructor Summary
`AcceptorConfig()`

Method Summary
`Acceptor` | `buildAcceptor(HeuristicConfigPolicy configPolicy)`
`List<Class<? extends Acceptor>>` | `getAcceptorClassList()`
`List<AcceptorConfig.AcceptorType>` | `getAcceptorTypeList()`
`Double` | `getEntityTabuRatio()`
`Integer` | `getEntityTabuSize()`
`Double` | `getFadingEntityTabuRatio()`
`Integer` | `getFadingEntityTabuSize()`
`Integer` | `getFadingMoveTabuSize()`
`Integer` | `getFadingSolutionTabuSize()`
`Integer` | `getFadingUndoMoveTabuSize()`
`Double` | `getFadingValueTabuRatio()`
`Integer` | `getFadingValueTabuSize()`
`Double` | `getGreatDelugeWaterLevelUpperBoundRate()`
`Double` | `getGreatDelugeWaterRisingRate()`
`Integer` | `getLateAcceptanceSize()`
`Integer` | `getLateSimulatedAnnealingSize()`
`Integer` | `getMoveTabuSize()`
`String` | `getSimulatedAnnealingStartingTemperature()`
`Integer` | `getSolutionTabuSize()`
`Integer` | `getStepCountingHillClimbingSize()`
`StepCountingHillClimbingType` | `getStepCountingHillClimbingType()`
`Integer` | `getUndoMoveTabuSize()`
`Double` | `getValueTabuRatio()`
`Integer` | `getValueTabuSize()`
`void` | `inherit(AcceptorConfig inheritedConfig)`
`void` | `setAcceptorClassList(List<Class<? extends Acceptor>> acceptorClassList)`
`void` | `setAcceptorTypeList(List<AcceptorConfig.AcceptorType> acceptorTypeList)`
`void` | `setEntityTabuRatio(Double entityTabuRatio)`
`void` | `setEntityTabuSize(Integer entityTabuSize)`
`void` | `setFadingEntityTabuRatio(Double fadingEntityTabuRatio)`
`void` | `setFadingEntityTabuSize(Integer fadingEntityTabuSize)`
`void` | `setFadingMoveTabuSize(Integer fadingMoveTabuSize)`
`void` | `setFadingSolutionTabuSize(Integer fadingSolutionTabuSize)`
`void` | `setFadingUndoMoveTabuSize(Integer fadingUndoMoveTabuSize)`
`void` | `setFadingValueTabuRatio(Double fadingValueTabuRatio)`
`void` | `setFadingValueTabuSize(Integer fadingValueTabuSize)`
`void` | `setGreatDelugeWaterLevelUpperBoundRate(Double greatDelugeWaterLevelUpperBoundRate)`
`void` | `setGreatDelugeWaterRisingRate(Double greatDelugeWaterRisingRate)`
`void` | `setLateAcceptanceSize(Integer lateAcceptanceSize)`
`void` | `setLateSimulatedAnnealingSize(Integer lateSimulatedAnnealingSize)`
`void` | `setMoveTabuSize(Integer moveTabuSize)`
`void` | `setSimulatedAnnealingStartingTemperature(String simulatedAnnealingStartingTemperature)`
`void` | `setSolutionTabuSize(Integer solutionTabuSize)`
`void` | `setStepCountingHillClimbingSize(Integer stepCountingHillClimbingSize)`
`void` | `setStepCountingHillClimbingType(StepCountingHillClimbingType stepCountingHillClimbingType)`
`void` | `setUndoMoveTabuSize(Integer undoMoveTabuSize)`
`void` | `setValueTabuRatio(Double valueTabuRatio)`
`void` | `setValueTabuSize(Integer valueTabuSize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entityTabuSize

    protected Integer entityTabuSize

### entityTabuRatio

    protected Double entityTabuRatio

### fadingEntityTabuSize

    protected Integer fadingEntityTabuSize

### fadingEntityTabuRatio

    protected Double fadingEntityTabuRatio

### valueTabuSize

    protected Integer valueTabuSize

### valueTabuRatio

    protected Double valueTabuRatio

### fadingValueTabuSize

    protected Integer fadingValueTabuSize

### fadingValueTabuRatio

    protected Double fadingValueTabuRatio

### moveTabuSize

    protected Integer moveTabuSize

### fadingMoveTabuSize

    protected Integer fadingMoveTabuSize

### undoMoveTabuSize

    protected Integer undoMoveTabuSize

### fadingUndoMoveTabuSize

    protected Integer fadingUndoMoveTabuSize

### solutionTabuSize

    protected Integer solutionTabuSize

### fadingSolutionTabuSize

    protected Integer fadingSolutionTabuSize

### simulatedAnnealingStartingTemperature

    protected String simulatedAnnealingStartingTemperature

### greatDelugeWaterLevelUpperBoundRate

    protected Double greatDelugeWaterLevelUpperBoundRate

### greatDelugeWaterRisingRate

    protected Double greatDelugeWaterRisingRate

### lateAcceptanceSize

    protected Integer lateAcceptanceSize

### stepCountingHillClimbingSize

    protected Integer stepCountingHillClimbingSize

### stepCountingHillClimbingType

    protected StepCountingHillClimbingType stepCountingHillClimbingType

### lateSimulatedAnnealingSize

    protected Integer lateSimulatedAnnealingSize

Constructor Detail

### AcceptorConfig

    public AcceptorConfig()

Method Detail

### getAcceptorClassList

    public List<Class<? extends Acceptor>> getAcceptorClassList()

### setAcceptorClassList

    public void setAcceptorClassList(List<Class<? extends Acceptor>> acceptorClassList)

### getAcceptorTypeList

    public List<AcceptorConfig.AcceptorType> getAcceptorTypeList()

### setAcceptorTypeList

    public void setAcceptorTypeList(List<AcceptorConfig.AcceptorType> acceptorTypeList)

### getEntityTabuSize

    public Integer getEntityTabuSize()

### setEntityTabuSize

    public void setEntityTabuSize(Integer entityTabuSize)

### getEntityTabuRatio

    public Double getEntityTabuRatio()

### setEntityTabuRatio

    public void setEntityTabuRatio(Double entityTabuRatio)

### getFadingEntityTabuSize

    public Integer getFadingEntityTabuSize()

### setFadingEntityTabuSize

    public void setFadingEntityTabuSize(Integer fadingEntityTabuSize)

### getFadingEntityTabuRatio

    public Double getFadingEntityTabuRatio()

### setFadingEntityTabuRatio

    public void setFadingEntityTabuRatio(Double fadingEntityTabuRatio)

### getValueTabuSize

    public Integer getValueTabuSize()

### setValueTabuSize

    public void setValueTabuSize(Integer valueTabuSize)

### getValueTabuRatio

    public Double getValueTabuRatio()

### setValueTabuRatio

    public void setValueTabuRatio(Double valueTabuRatio)

### getFadingValueTabuSize

    public Integer getFadingValueTabuSize()

### setFadingValueTabuSize

    public void setFadingValueTabuSize(Integer fadingValueTabuSize)

### getFadingValueTabuRatio

    public Double getFadingValueTabuRatio()

### setFadingValueTabuRatio

    public void setFadingValueTabuRatio(Double fadingValueTabuRatio)

### getMoveTabuSize

    public Integer getMoveTabuSize()

### setMoveTabuSize

    public void setMoveTabuSize(Integer moveTabuSize)

### getFadingMoveTabuSize

    public Integer getFadingMoveTabuSize()

### setFadingMoveTabuSize

    public void setFadingMoveTabuSize(Integer fadingMoveTabuSize)

### getUndoMoveTabuSize

    public Integer getUndoMoveTabuSize()

### setUndoMoveTabuSize

    public void setUndoMoveTabuSize(Integer undoMoveTabuSize)

### getFadingUndoMoveTabuSize

    public Integer getFadingUndoMoveTabuSize()

### setFadingUndoMoveTabuSize

    public void setFadingUndoMoveTabuSize(Integer fadingUndoMoveTabuSize)

### getSolutionTabuSize

    public Integer getSolutionTabuSize()

### setSolutionTabuSize

    public void setSolutionTabuSize(Integer solutionTabuSize)

### getFadingSolutionTabuSize

    public Integer getFadingSolutionTabuSize()

### setFadingSolutionTabuSize

    public void setFadingSolutionTabuSize(Integer fadingSolutionTabuSize)

### getSimulatedAnnealingStartingTemperature

    public String getSimulatedAnnealingStartingTemperature()

### setSimulatedAnnealingStartingTemperature

    public void setSimulatedAnnealingStartingTemperature(String simulatedAnnealingStartingTemperature)

### getGreatDelugeWaterLevelUpperBoundRate

    public Double getGreatDelugeWaterLevelUpperBoundRate()

### setGreatDelugeWaterLevelUpperBoundRate

    public void setGreatDelugeWaterLevelUpperBoundRate(Double greatDelugeWaterLevelUpperBoundRate)

### getGreatDelugeWaterRisingRate

    public Double getGreatDelugeWaterRisingRate()

### setGreatDelugeWaterRisingRate

    public void setGreatDelugeWaterRisingRate(Double greatDelugeWaterRisingRate)

### getLateAcceptanceSize

    public Integer getLateAcceptanceSize()

### setLateAcceptanceSize

    public void setLateAcceptanceSize(Integer lateAcceptanceSize)

### getStepCountingHillClimbingSize

    public Integer getStepCountingHillClimbingSize()

### setStepCountingHillClimbingSize

    public void setStepCountingHillClimbingSize(Integer stepCountingHillClimbingSize)

### getStepCountingHillClimbingType

    public StepCountingHillClimbingType getStepCountingHillClimbingType()

### setStepCountingHillClimbingType

    public void setStepCountingHillClimbingType(StepCountingHillClimbingType stepCountingHillClimbingType)

### getLateSimulatedAnnealingSize

    public Integer getLateSimulatedAnnealingSize()

### setLateSimulatedAnnealingSize

    public void setLateSimulatedAnnealingSize(Integer lateSimulatedAnnealingSize)

### buildAcceptor

    public Acceptor buildAcceptor(HeuristicConfigPolicy configPolicy)

### inherit

    public void inherit(AcceptorConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.